package com.sun.org.apache.xerces.internal.dom;

import java.util.ArrayList;
import org.w3c.dom.DOMImplementation;
import java.util.List;
import org.w3c.dom.DOMImplementationList;

public class DOMImplementationListImpl implements DOMImplementationList
{
    private List<DOMImplementation> fImplementations;
    
    public DOMImplementationListImpl() {
        this.fImplementations = new ArrayList();
    }
    
    public DOMImplementationListImpl(List<DOMImplementation> params) {
        this.fImplementations = params;
    }
    
    @Override
    public DOMImplementation item(int index) {
        try {
            return (DOMImplementation)this.fImplementations.get(index);
        }
        catch (IndexOutOfBoundsException e) {
            return null;
        }
    }
    
    @Override
    public int getLength() {
        return this.fImplementations.size();
    }
}
